Issue with ldap authentication

03/23/2016 01:53 PM - Rajesh Kunwar

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Everything was working fine and all of a sudden ldap authentication stops working with the following warning.

Warning!

Could not bind to Posix user domain\user@

 Here's the full trace.

LdapFluff::Generic::UnauthenticatedException

Could not bind to Posix user domain\user

app/models/auth_sources/auth_source_ldap.rb:50:in `authenticate'

app/models/user.rb:186:in `try_to_login'

app/controllers/users_controller.rb:71:in `login'

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

I tried solving it but i have no idea what's going on although all the settings stayed same and nothing changed.

Any suggestions is appreciated.

Thanks

History

#1 - 03/24/2016 05:49 AM - Dominic Cleal

- Status changed from New to Need more information

This is probably an issue with the credentials you're using, and perhaps the account has been locked out from your LDAP server.  I'm not sure there's

enough info here to show this is a bug?

#2 - 05/17/2017 03:37 PM - Anonymous

- Status changed from Need more information to Rejected

Powered by TCPDF (www.tcpdf.org)

05/19/2024 1/1

http://www.tcpdf.org

